name:           libnet
Version:        1.2 
Release:        1%{?dist}
Summary:        C library for portable packet creation and injection

License:        BSD
URL:            https://github.com/libnet/libnet
Source0:        https://github.com/libnet/libnet/releases/download/v%%{version}/%%{name}-%%{version}.tar.gz
Patch0:         libnet-config.patch

BuildRequires:  gcc make %{_bindir}/pod2man 

%description
Libnet is an API to help with the construction and handling of network
packets. It provides a portable framework for low-level network packet
writing and handling (use libnet in conjunction with libpcap and you can
write some really cool stuff). Libnet includes packet creation at the IP
layer and at the link layer as well as a host of supplementary and
complementary functionality.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
The libnet-devel package includes header files and libraries necessary
for developing programs which use the libnet library. Libnet is very
handy with which to write network tools and network test code. See the
man page and sample test code for more detailed information.

%package doc
Summary:        Documentation files for the libnet library
BuildArch:      noarch
BuildRequires:  doxygen
BuildRequires:  graphviz

%description doc
Libnet is an API to help with the construction and handling of network
packets. It provides a portable framework for low-level network packet
writing and handling. This package contains the API documentation for
developing applications that use libnet.

%prep
%autosetup
sed -e 's/-version-info 9:0:0/-version-info 9:0:8/' -i src/Makefile.{am,in}

%build
%configure --disable-static
%make_build


%install
rm -rf $RPM_BUILD_ROOT
%make_install
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}.{a,la}
rm -rf $RPM_BUILD_ROOT%{_defaultdocdir}

rm -rf sample/{Makefile*,win32}
for file in sample/*.[hc]; do
  sed \
    -e 's@#include "../include/libnet.h"@#include <libnet.h>@' \
    -e 's@#include "../include/config.h"@#include <config.h>@' \
    $file > $file.new
    touch -c -r $file{,.new}
    mv -f $file{.new,}
done

%ldconfig_scriptlets

%files
%license LICENSE
%doc README.md ChangeLog.md
%{_libdir}/%{name}.so.*

%files devel
%doc doc/MIGRATION.md doc/RAWSOCKET.md sample/
%{_bindir}/%{name}-config
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}.h
%{_includedir}/%{name}/
%{_mandir}/man3/%{name}*.3*

%files doc
%doc doc/html/

%changelog
* Tue Mar  8 2022 forrest_ly <flin@linux.alibaba.com> - 1.2-1
- Init for Anolis OS 23 
